Name: cockpit-ostree
Epoch: 1
Version: 207
Release: 1.20250406143527052899.pr817.41.gc9148a8%{?dist}
BuildArch: noarch
Summary: Cockpit user interface for rpm-ostree
License: LGPL-2.1-or-later
BuildRequires: make
Requires: cockpit-bridge >= 125
Requires: cockpit-system >= 125
Requires: rpm-ostree

Source: cockpit-ostree-207.41.gc9148a8.tar.xz

%if 0%{?fedora} >= 41 || 0%{?rhel}
ExcludeArch: %{ix86}
%endif

%define debug_package %{nil}

%description
Cockpit component for managing software updates for ostree based systems.

%prep
%setup -n cockpit-ostree

%install
%make_install PREFIX=/usr

%files
%doc README.md
%license LICENSE dist/ostree.js.LEGAL.txt
%{_datadir}/cockpit/*

%changelog
* Sun Apr 06 2025 Packit <hello@packit.dev> - 1:207-1.20250406143527052899.pr817.41.gc9148a8
- build(deps-dev): bump eslint-plugin-react in the eslint group (dependabot[bot])
- po: Update from Fedora Weblate (GitHub Workflow)
- po: Add 'pt_BR' language (GitHub Workflow)
- cockpit-ci: Update container to 2025-03-29 (Cockpit Project)
- build(deps-dev): bump stylelint in the stylelint group (dependabot[bot])
- port to PatternFly 6 (tomasmatus)
- po: Update from Fedora Weblate (GitHub Workflow)
- po: Add 'zh_Hant' language (GitHub Workflow)
- test: obtain bootc booted version from json (Jelle van der Waa)
- cockpit-ci: Update container to 2025-03-22 (Cockpit Project)
- Makefile: Update Cockpit lib to 1609250d9b4238e75d96da41838fdf03 (Cockpit Project)
- cockpit-ci: Update container to 2025-03-15 (Cockpit Project)
- build(deps-dev): bump stylelint in the stylelint group (dependabot[bot])
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 6b9175d50226d2aa6d34445c0c04cd9d (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- Require `new` when throwing an error (Jelle van der Waa)
- Prefix all unused variables with `_` (Jelle van der Waa)
- Declare all variables on a separate line (Jelle van der Waa)
- cockpit-ci: Update container to 2025-03-08 (Cockpit Project)
- Makefile: Update Cockpit lib to 253d25bd92559dd05c31bd5d556946f1 (Cockpit Project)
- cockpit-ci: Update container to 2025-03-01 (Cockpit Project)
- build(deps): bump the patternfly group with 2 updates (dependabot[bot])
- build(deps-dev): bump stylelint in the stylelint group (dependabot[bot])
- Makefile: Update Cockpit lib to d504e916577bf30c3300b8167781f8a3 (Cockpit Project)
- cockpit-ci: Update container to 2025-02-22 (Cockpit Project)
- build(deps): bump the patternfly group with 2 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 9ef2e8ba1d6b4b3db9b8baa45621ca07 (Cockpit Project)
- cockpit-ci: Update container to 2025-02-15 (Cockpit Project)
- Makefile: Update Cockpit lib to 66625eea530a996367ea977113c427fd (Cockpit Project)
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- cockpit-ci: Update container to 2025-02-08 (Cockpit Project)
- Makefile: Update Cockpit lib to 54f87df7b7b5428c66bae8c1b91f3096 (Cockpit Project)
- package.json: drop bootstrap-sass dependency (Jelle van der Waa)
- Makefile: Update Cockpit lib to 1cc67cefe33c58b33016655f329a1b3f (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- packit: Add Fedora 42, drop 40 (Martin Pitt)
- cockpit-ci: Update container to 2025-02-01 (Cockpit Project)
- build(deps-dev): bump stylelint in the stylelint group (dependabot[bot])
- build(deps-dev): bump qunit from 2.23.1 to 2.24.1 (dependabot[bot])
- Makefile: Update Cockpit lib to f05981311645107ac622bd16e702f843 (Cockpit Project)
